---
authors:
    - Zhiyuan Chen
date: 2022-05-04
---

# Utilities

## chanfig.utils.Singleton

::: chanfig.utils.Singleton
    options:
        heading_level: 0

## chanfig.utils.Null

`Null` is an instance of [`NULL`][chanfig.utils.NULL].

Since the metaclass of `NULL` is `Singleton`, it is advised to use `obj is Null` to determine if `obj` is `Null`.

### chanfig.utils.NULL

::: chanfig.utils.NULL
    options:
        heading_level: 0

## chanfig.utils.JsonEncoder

::: chanfig.utils.JsonEncoder
    options:
        heading_level: 0

## chanfig.utils.YamlDumper

::: chanfig.utils.YamlDumper
    options:
        heading_level: 0

## chanfig.utils.YamlLoader

::: chanfig.utils.YamlLoader
    options:
        heading_level: 0
